Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog
Class ObjectExamplePair

    java.lang.Object
      com.declarativa.interprolog.ObjectExamplePair

All Implemented Interfaces:
  Serializable

public class ObjectExamplePair
extends Object
implements Serializable

The class wrapping the information that will allow Prolog to later specify Java objects. An optional Prolog-friendly name can be specified. This class must be ***strictly in sync*** with the corresponding Prolog code, which is critical to InterProlog's startup, cf. predicate ipProcessExamples/1 in interprolog.P.

See Also:
  Serialized Form

Constructor Summary
`ObjectExamplePair(Object A)`
`ObjectExamplePair(Object A, Object B)`
`ObjectExamplePair(String n, Object A)`
`ObjectExamplePair(String n, Object A, Object B)` Create an object pair, adequate for later teaching it to a Prolog engine and have this produce an ipObjectSpec fact on the Prolog side.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectExamplePair

    public ObjectExamplePair(Object A)

### ObjectExamplePair

    public ObjectExamplePair(String n,
                             Object A)

### ObjectExamplePair

    public ObjectExamplePair(Object A,
                             Object B)

### ObjectExamplePair

    public ObjectExamplePair(String n,
                             Object A,
                             Object B)

  Create an object pair, adequate for later teaching it to a Prolog engine and have this produce an ipObjectSpec fact on the Prolog side.

Parameters:
  `n` - Optional name for the class, as viewed from the Prolog side.
  `A` - An object instance.
  `B` - Another object instance, may or not be different from the first.
See Also:
  `PrologEngine.teachMoreObjects(ObjectExamplePair[])`

Method Detail

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD